#ifndef __SDLCOMMON_H
#define __SDLCOMMON_H
#include <SDL.h>
#include <SDL_image.h>

#ifndef PI
#define PI 3.141592
#endif

#ifndef NULLCOL
#define NULLCOL 0x00FF00FF

#define NULLCOLA 0xFF
#define NULLCOLR 0xFF
#define NULLCOLG 0x00
#define NULLCOLB 0xFF
#endif



void setpixel(SDL_Surface*, int, int, Uint8, Uint8, Uint8);
int getpixel(SDL_Surface*, int, int);
void DrawLine(SDL_Surface*, int , int , int , int , char , char, char);
void rotatesurface(SDL_Surface*, SDL_Surface*, int);
void interpole(SDL_Surface* , SDL_Surface* , Uint32 );
bool inCarArea(SDL_Surface* , int , int );

#endif
